ru.bitel.bgbilling.plugins.documents.common.bean

## Class DocumentStatusLogItem

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.plugins.documents.common.bean.DocumentStatusLogItem

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class DocumentStatusLogItem
      extends Id

  Класс-модель, представляющий собой запись лога изменений статуса документа.
  Author:
    reflexive
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentStatusLogItem()`
    `DocumentStatusLogItem(int id, int docId, int status, java.util.Date date, java.lang.String comment, int userId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Переопределенный метод equals(), чтобы можно было сравнивать 2 записи лога не по их id (который, по сути, всегда будет разный и не так важен), а по коду статуса, что, в общем то, логично, т.к. нет смысла устанавливать статус документа, который УЖЕ установлен.
    `java.lang.String` | `getComment()`
    `int` | `getDocumentId()`
    `java.util.Date` | `getStatusDate()`
    `int` | `getStatusId()`
    `int` | `getUserId()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setDocumentId(int documentId)`
    `void` | `setStatusDate(java.util.Date statusDate)`
    `void` | `setStatusId(int status)`
    `void` | `setUserId(int user)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentStatusLogItem

          public DocumentStatusLogItem()

    - #### DocumentStatusLogItem

          public DocumentStatusLogItem(int id,
                                       int docId,
                                       int status,
                                       java.util.Date date,
                                       java.lang.String comment,
                                       int userId)

  - ### Method Detail

    - #### getDocumentId

          public int getDocumentId()

    - #### setDocumentId

          public void setDocumentId(int documentId)

    - #### getStatusId

          public int getStatusId()

    - #### setStatusId

          public void setStatusId(int status)

    - #### getStatusDate

          public java.util.Date getStatusDate()

    - #### setStatusDate

          public void setStatusDate(java.util.Date statusDate)

    - #### getComment

          public java.lang.String getComment()

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int user)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Переопределенный метод equals(), чтобы можно было сравнивать 2 записи лога не по их id (который, по сути, всегда будет разный и не так важен), а по коду статуса, что, в общем то, логично, т.к. нет смысла устанавливать статус документа, который УЖЕ установлен.
      Overrides:
        `equals` in class `Id`